BoolProperty Class Reference

Boolean property class. More...

`#include <property.h>`

Inheritance diagram for BoolProperty:

## Public Member Functions

| BoolProperty (const char *newKey, bool newValue, bool readOnly)
| BoolProperty (const char *newKey, bool newValue, bool readOnly, Driver *driver, ConfigFile *cf, int section)
| Constructor that registers the property with a driver as well while it is constructed.
bool | GetValue (void) const
void | SetValue (bool newValue)
void | GetValueToMessage (void *data) const
void | SetValueFromMessage (const void *data)
virtual bool | ReadConfig (ConfigFile *cf, int section)
| operator bool (void)
const BoolProperty & | operator= (const BoolProperty &rhs)
bool | operator= (bool rhs)
Public Member Functions inherited from Property
| Property (const char *newKey, bool readOnly)
virtual const char * | GetKey (void) const
virtual void | SetKey (const char *newKey)
virtual const bool | KeyIsEqual (const char *rhs)

## Private Attributes

bool | value

## Additional Inherited Members

Protected Attributes inherited from Property
char * | key
bool | readonly

## Detailed Description

Boolean property class.

The documentation for this class was generated from the following file:

- property.h

Last updated 12 September 2005 21:38:45